Officials and Staffers

The endpoint for the Officials and Staffers datasets, including all Officials and Staffers available to your Quorum account.

Retrieve multiple People (Officials or Staffers) based on search critera passed as GET Arguments

get/newperson/
Securityapi_key and username
Request
query Parameters
_ph_dn_current_major_role_types
Array of integers <int64>

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name MajorRoleType, for an explanation of values.

Items Enum: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 1000
_ph_dn_current_minor_role_types
Array of integers <int64>

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name MinorRoleType, for an explanation of values.

Items Enum: 1 2 3 4 5 6 7 8 9 11 12 13 14 15 16 17 18 19 20 21 22 23 24 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 349 350 351 352 353 354 355 356 357 358 360 361 362 363 364 365 366 367 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382 383 384 385 386 387 388 389 390 391 392 393 394 395 396 397 398 399 400 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 429 430 431 432 433 434 435 436 437 438 439 440 441 442 443 444 445 446 447 448 449 450 451 452 453 454 455 456 457 458 459 460 461 462 463 464 465 466 467 468 469 470 471 472 473 474 475 476 477 478 479 480 481 482 483 484 485 486 487 488 489 490 491 492 493 494 495 496 497 498 499 500 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 529 530 531 532 533 534 535 536 537 538 539 540 541 542 543 544 545 546 547 548 549 550 551 552 553 554 555 556 557 558 559 560 561 562 563 564 565 566 567 568 569 570 571 572 573 574 575 576 577 578 579 580 581 582 10000
archived
boolean
birthday
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
birthday__year, birthday__month, birthday__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

comstaffertype
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
comstaffertype__in - The value for the record is in the provided array parameter (comma-separated values).
comstaffertype__isnull - The value for the record is null (if true) or is not null.

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name ComStafferType, for an explanation of values.

Enum: 1 2 3
current
boolean
email
string

NOTE: Parameter accepts additional qualifiers appended to the end:
email__in - The value for the record is in the provided array parameter (comma-separated values).
email__contains, email__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
email__startswith, email__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
email__endswith, email__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
email__iexact - The value for the record is a case-insensitive exact match to the provided parameter.
email__isnull - The value for the record is null (if true) or is not null.

gender
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
gender__in - The value for the record is in the provided array parameter (comma-separated values).
gender__isnull - The value for the record is null (if true) or is not null.

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name Gender, for an explanation of values.

Enum: 0 1 2 3 4 5
id
integer <int64>

Quorum ID (Primary Key)

major_person_types
Array of integers <int64>

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name MajorPersonType, for an explanation of values.

Items Enum: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25
most_recent_party
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
most_recent_party__in - The value for the record is in the provided array parameter (comma-separated values).
most_recent_party__isnull - The value for the record is null (if true) or is not null.

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name Party, for an explanation of values.

Enum: 0 1 2 3 4 5 6 7 8 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24
most_recent_person_type
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
most_recent_person_type__in - The value for the record is in the provided array parameter (comma-separated values).
most_recent_person_type__isnull - The value for the record is null (if true) or is not null.

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name PersonType, for an explanation of values.

Enum: 1 2 3 6 7 8 9
most_recent_region
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
most_recent_region__in - The value for the record is in the provided array parameter (comma-separated values).
most_recent_region__isnull - The value for the record is null (if true) or is not null.

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name Region, for an explanation of values.

Enum: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 1000
most_recent_role_id
integer <int64>

The newpersonrole with which this person is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
most_recent_role__in - The value for the record is in the provided array parameter (comma-separated values).
most_recent_role__isnull - The value for the record is null (if true) or is not null.

most_recent_role_type
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
most_recent_role_type__in - The value for the record is in the provided array parameter (comma-separated values).
most_recent_role_type__isnull - The value for the record is null (if true) or is not null.

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name RoleType, for an explanation of values.

Enum: 1 2 5 6 7 8 9 10 11 12 21 22 23 24 25 26 27 28 29 30 38 39 999
new_legislator
boolean

NOTE: Parameter accepts additional qualifiers appended to the end:
new_legislator__isnull - The value for the record is null (if true) or is not null.

person_id
integer <int64>

The newperson with which this person is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
person__in - The value for the record is in the provided array parameter (comma-separated values).
person__isnull - The value for the record is null (if true) or is not null.

primary_organization_id
integer <int64>

The publicorganization with which this person is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
primary_organization__in - The value for the record is in the provided array parameter (comma-separated values).
primary_organization__isnull - The value for the record is null (if true) or is not null.

region_represented
string

NOTE: Parameter accepts additional qualifiers appended to the end:
region_represented__in - The value for the record is in the provided array parameter (comma-separated values).
region_represented__contains, region_represented__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
region_represented__startswith, region_represented__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
region_represented__endswith, region_represented__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
region_represented__iexact - The value for the record is a case-insensitive exact match to the provided parameter.
region_represented__isnull - The value for the record is null (if true) or is not null.

show_in_quicksearch
boolean
status
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
status__in - The value for the record is in the provided array parameter (comma-separated values).
status__isnull - The value for the record is null (if true) or is not null.

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name PersonStatus, for an explanation of values.

Enum: 1 2 3 4
dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
cook_pvi - expand cook_pvi with additional details.
fec_ids - expand fec_ids with additional details.
image_url - expand image_url with additional details.
pac_organizations - expand pac_organizations with additional details.
resource_uri - expand resource_uri with additional details.
staffer_name - expand staffer_name with additional details.
transactions - expand transactions with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Enum: "cook_pvi" "fec_ids" "image_url" "pac_organizations" "resource_uri" "staffer_name" "transactions"
dehydrate_extra
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.committee - expand committee with additional details.
location - expand location with additional details.
most_recent_country - expand most_recent_country with additional details.
most_recent_role - expand most_recent_role with additional details.
person - expand person with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Enum: "committee" "location" "most_recent_country" "most_recent_role" "person"
advanced_search
string

Perform an advanced text search on the datset with the provided text. This search will use the most comprehensive search method available on the requested endpoint, but can take slightly longer to return results.

quick_search
string

Perform an quick text search on the datset with the provided text. This search method may, depending on the endpoint, be exactly identical to advanced search, or may return results significantly more quickly but with less completeness or accuracy, for example by searching less fields, or using a faster algorithm to identify matches that has a greater propensity for false positives/false negatives.

limit
integer <int64>
Default: 20

The number of records to return (for pagination).

offset
integer <int64>
Default: 0

The number of records to offset the start of the data being returned (for pagination).

Responses
200

NewPerson retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "_ph_dn_all_regions": [
    ],
  • "_ph_dn_current_major_role_types": [
    ],
  • "_ph_dn_current_meta_role_types": [
    ],
  • "_ph_dn_current_minor_role_types": [
    ],
  • "_ph_dn_intrado_languages": [
    ],
  • "_ph_dn_intrado_preferred_distribution_mode": 1,
  • "_ph_dn_intrado_tags": [
    ],
  • "_ph_intrado_last_updated": "2019-08-24T14:15:22Z",
  • "_ph_intrado_person_id": 0,
  • "_ph_lc_person_id": 0,
  • "_ph_ls_core_person_id": 0,
  • "_ph_should_flush_next_run": false,
  • "address": "string",
  • "age": 0,
  • "archived": false,
  • "birthday": "2019-08-24T14:15:22Z",
  • "committee": "/api/committee/1/",
  • "committee_string": "",
  • "comstaffertype": 1,
  • "congressional_district_kw_id": "string",
  • "cook_pvi": "string",
  • "current": false,
  • "dn_appointed_by_types": [
    ],
  • "dn_pay_scale_types": [
    ],
  • "email": "string",
  • "external_unique_id_dict": { },
  • "facebook_url": "string",
  • "fec_ids": [
    ],
  • "firstname": "string",
  • "freshman_legislator": true,
  • "gender": 0,
  • "has_been_legislator": false,
  • "high_quality_image_url": "string",
  • "id": 0,
  • "image_url": "string",
  • "intrado_other_email": "string",
  • "is_cwc": true,
  • "lastname": "string",
  • "legislator_id": "",
  • "linkedin_username": "string",
  • "location": "/api/memberoffice/1/",
  • "lower_district_kw_id": "string",
  • "major_person_types": [
    ],
  • "member_name": "string",
  • "middlename": "string",
  • "minor_person_types": [
    ],
  • "most_recent_country": "/api/country/1/",
  • "most_recent_county": "/api/county/1/",
  • "most_recent_district": "/api/district/1/",
  • "most_recent_executive_role": 0,
  • "most_recent_party": 0,
  • "most_recent_person_type": 1,
  • "most_recent_ph_major_role_type": 1,
  • "most_recent_ph_meta_role_type": 1,
  • "most_recent_ph_minor_role_type": 1,
  • "most_recent_ph_sector_type": 1,
  • "most_recent_ph_specific_role_types": [
    ],
  • "most_recent_region": 1,
  • "most_recent_regions": [
    ],
  • "most_recent_role": "/api/newpersonrole/1/",
  • "most_recent_role_address": "string",
  • "most_recent_role_building": "string",
  • "most_recent_role_city": "string",
  • "most_recent_role_phone": "string",
  • "most_recent_role_room": "string",
  • "most_recent_role_state": "string",
  • "most_recent_role_street1": "string",
  • "most_recent_role_street2": "string",
  • "most_recent_role_type": 1,
  • "most_recent_role_zipcode": "string",
  • "most_recent_state": "/api/state/1/",
  • "name": "string",
  • "namemod": "string",
  • "new_legislator": true,
  • "num_terms": 0,
  • "office_code": "",
  • "organization": "/api/organization/1/",
  • "party_string": "",
  • "person": "/api/newperson/1/",
  • "person_socials": { },
  • "precedence_eu": 10,
  • "precedence_local": 10,
  • "precedence_state": 10,
  • "precedence_state_and_local": 10,
  • "prefix": "string",
  • "primary_organization": "/api/publicorganization/1/",
  • "pronunciation": "string",
  • "public_organization_descriptor": "",
  • "region_represented": "string",
  • "resource_uri": "string",
  • "responsibilities_string": "string",
  • "should_deliver_via_fill_form": false,
  • "show_in_quicksearch": false,
  • "source_urls": [
    ],
  • "specific_person_types": [
    ],
  • "staffer_name": "string",
  • "staffer_types": [
    ],
  • "status": 1,
  • "title": "",
  • "titlecode_order": 0,
  • "upper_district_kw_id": "string",
  • "user": "/api/user/1/",
  • "valid_email": true,
  • "wikipedia_url": "string"
}

Retrieve information on a single Person (Official or Staffer)

get/newperson/{id}/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>

Quorum ID (Primary Key)

query Parameters
dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
cook_pvi - expand cook_pvi with additional details.
fec_ids - expand fec_ids with additional details.
image_url - expand image_url with additional details.
pac_organizations - expand pac_organizations with additional details.
resource_uri - expand resource_uri with additional details.
staffer_name - expand staffer_name with additional details.
transactions - expand transactions with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Enum: "cook_pvi" "fec_ids" "image_url" "pac_organizations" "resource_uri" "staffer_name" "transactions"
dehydrate_extra
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.committee - expand committee with additional details.
location - expand location with additional details.
most_recent_country - expand most_recent_country with additional details.
most_recent_role - expand most_recent_role with additional details.
person - expand person with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Enum: "committee" "location" "most_recent_country" "most_recent_role" "person"
Responses
200

NewPerson retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "_ph_dn_all_regions": [
    ],
  • "_ph_dn_current_major_role_types": [
    ],
  • "_ph_dn_current_meta_role_types": [
    ],
  • "_ph_dn_current_minor_role_types": [
    ],
  • "_ph_dn_intrado_languages": [
    ],
  • "_ph_dn_intrado_preferred_distribution_mode": 1,
  • "_ph_dn_intrado_tags": [
    ],
  • "_ph_intrado_last_updated": "2019-08-24T14:15:22Z",
  • "_ph_intrado_person_id": 0,
  • "_ph_lc_person_id": 0,
  • "_ph_ls_core_person_id": 0,
  • "_ph_should_flush_next_run": false,
  • "address": "string",
  • "age": 0,
  • "archived": false,
  • "birthday": "2019-08-24T14:15:22Z",
  • "committee": "/api/committee/1/",
  • "committee_string": "",
  • "comstaffertype": 1,
  • "congressional_district_kw_id": "string",
  • "cook_pvi": "string",
  • "current": false,
  • "dn_appointed_by_types": [
    ],
  • "dn_pay_scale_types": [
    ],
  • "email": "string",
  • "external_unique_id_dict": { },
  • "facebook_url": "string",
  • "fec_ids": [
    ],
  • "firstname": "string",
  • "freshman_legislator": true,
  • "gender": 0,
  • "has_been_legislator": false,
  • "high_quality_image_url": "string",
  • "id": 0,
  • "image_url": "string",
  • "intrado_other_email": "string",
  • "is_cwc": true,
  • "lastname": "string",
  • "legislator_id": "",
  • "linkedin_username": "string",
  • "location": "/api/memberoffice/1/",
  • "lower_district_kw_id": "string",
  • "major_person_types": [
    ],
  • "member_name": "string",
  • "middlename": "string",
  • "minor_person_types": [
    ],
  • "most_recent_country": "/api/country/1/",
  • "most_recent_county": "/api/county/1/",
  • "most_recent_district": "/api/district/1/",
  • "most_recent_executive_role": 0,
  • "most_recent_party": 0,
  • "most_recent_person_type": 1,
  • "most_recent_ph_major_role_type": 1,
  • "most_recent_ph_meta_role_type": 1,
  • "most_recent_ph_minor_role_type": 1,
  • "most_recent_ph_sector_type": 1,
  • "most_recent_ph_specific_role_types": [
    ],
  • "most_recent_region": 1,
  • "most_recent_regions": [
    ],
  • "most_recent_role": "/api/newpersonrole/1/",
  • "most_recent_role_address": "string",
  • "most_recent_role_building": "string",
  • "most_recent_role_city": "string",
  • "most_recent_role_phone": "string",
  • "most_recent_role_room": "string",
  • "most_recent_role_state": "string",
  • "most_recent_role_street1": "string",
  • "most_recent_role_street2": "string",
  • "most_recent_role_type": 1,
  • "most_recent_role_zipcode": "string",
  • "most_recent_state": "/api/state/1/",
  • "name": "string",
  • "namemod": "string",
  • "new_legislator": true,
  • "num_terms": 0,
  • "office_code": "",
  • "organization": "/api/organization/1/",
  • "party_string": "",
  • "person": "/api/newperson/1/",
  • "person_socials": { },
  • "precedence_eu": 10,
  • "precedence_local": 10,
  • "precedence_state": 10,
  • "precedence_state_and_local": 10,
  • "prefix": "string",
  • "primary_organization": "/api/publicorganization/1/",
  • "pronunciation": "string",
  • "public_organization_descriptor": "",
  • "region_represented": "string",
  • "resource_uri": "string",
  • "responsibilities_string": "string",
  • "should_deliver_via_fill_form": false,
  • "show_in_quicksearch": false,
  • "source_urls": [
    ],
  • "specific_person_types": [
    ],
  • "staffer_name": "string",
  • "staffer_types": [
    ],
  • "status": 1,
  • "title": "",
  • "titlecode_order": 0,
  • "upper_district_kw_id": "string",
  • "user": "/api/user/1/",
  • "valid_email": true,
  • "wikipedia_url": "string"
}